<?php
/**
* Smarty plugin
* 
* @package Smarty
* @subpackage PluginsModifier
*/

/**
* Smarty replace modifier plugin
* 
* Type:     modifier<br>
* Name:     implode<br>
* Purpose:  simple implode of array data
* 
* @author Christian Wengg
* @param array  $arr        The array 
* @param string $glue       The glue
* @return string 
*/
function smarty_modifier_implode($arr, $glue)
{
    if (is_array($arr) && count($arr) > 0) {
        if (count($arr) === 1) {
            return reset($arr); 
        } else {
            return implode($glue, $arr);
        }
    } else {
        return '';
    }
} 

?>
